<div class="detail-card" *ngIf="card$ | async as card">
    <div class="top">
        <img [src]="card.card_images[0].image_url" alt="***">
    </div>
    <div class="bottom">
        <h2>{{card.name}}</h2>
        <div class="item">
            <p class="description">{{card.desc}}</p>
        </div>

        <div class="item">
            <h3 class="title">Arquetipo</h3>
            <p class="description">{{card.archetype}}</p>
        </div>

        <div class="item">
            <h3 class="title">Tipo</h3>
            <p class="description">{{card.type}}</p>
        </div>

        <div class="item">
            <h3 class="title">Subtipo</h3>
            <p class="description">{{card.race}}</p>
        </div>

        <table class="table">
            <thead>
                <tr>
                    <th scope="col">Market</th>
                    <th scope="col">Price</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let market of card.card_prices[0] | keyvalue">
                    <!-- keyvalue vuelve a un objeto iterable para usar ngFor -->

                    <th scope="row">{{market.key | marketName}}</th>
                    <td>$ {{market.value}}</td>
                </tr>
            </tbody>
        </table>
    </div>
</div>